<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    
    <div class="container-fluid">
      
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
      <div class="collapse navbar-collapse" id="navbarNav">
        
        <ul class="navbar-nav">
          
          <li *ngIf="!isEvaluador" class="nav-item">
            <a class="nav-link" [routerLink]="['/home-promotor']" ><i class="fas fa-chevron-left"></i> Volver</a>
          </li>


          <li class="nav-item"  *ngIf="isEvaluador">
            <a class="nav-link" [routerLink]="['/home-evaluador']" ><i class="fas fa-chevron-left"></i> Volver</a>
          </li>
          
        </ul>
      </div>
  
    </div>
  
</nav>

<div class="container text-center mt-5 animate__animated animate__fadeIn">
    
    <div class="row">

        <h2 class="col-12">Informacion del Prospecto</h2>

    </div>

</div>

<div class="container mt-3 animate__animated animate__fadeIn">
    
    <div class="row">
        <div class="col-sm-6" [ngClass]="{ 'col-sm-6': observaciones, 'col-sm-12': !observaciones }">
          <div class="card" *ngFor="let dato of prospecto">
            <div class="card-header bg-primary">
                <h4 style="color: white;">
                    {{dato.nombre}} {{dato.primer_apellido}} {{dato.segundo_apellido}}
                </h4>
            </div>
            <div class="card-body">
              <p class="card-text"><strong>Domicilio:</strong> {{dato.calle}} #{{dato.numero}}, Colonia {{dato.colonia}}, <strong>CP</strong> {{dato.codigo_postal}}</p>
              <p class="card-text"><strong>Telefono:</strong> {{dato.telefono}}</p>
              <p class="card-text"><strong>RFC:</strong> {{dato.rfc}}</p>
              <p class="card-text" [class.text-success] = " dato['nombre_estatus'] === 'Autorizado' "
                                   [class.text-primary] = " dato['nombre_estatus'] === 'Enviado' "
                                   [class.text-danger]  = " dato['nombre_estatus'] === 'Rechazado' "><strong style="color: black;">Estatus:</strong> {{dato.nombre_estatus}}</p>
            </div>
          </div>
    </div>

    <div class="col-sm-6 animate__animated animate__fadeIn" *ngIf="observaciones">
          <div class="card">
            <div class="card-header bg-danger">
                <h5 style="color: white;">
                    Observaciones
                </h5>
            </div>
            <div class="card-body">
              <p class="card-text"> {{observacionesProspecto}}</p>
            </div>
          </div>
        </div>
    </div>
</div>

<br>

<div class="container animate__animated animate__fadeIn">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-header bg-primary">
                    <h5 style="color: white;">
                        Documentos
                    </h5>
                </div>
                <div class="card-body">
                    <ul>
                      <li *ngFor="let documento of documentos; let i = index">
                        <a href="{{urlDocumentos[i]}}">{{documento.nombre_documento}}</a>
                      </li>
                    </ul>
                </div>
          </div>
        </div>
    </div>
</div>

<br>

<div *ngIf="buttonsEvaluador">
  <div class="container animate__animated animate__fadeIn">
    <div class="row">
      <div class="d-grid gap-2 col-sm-2 mt-2">
        <button type="button" class="btn btn-success" (click)="autorizar(2)">
          <i class="fas fa-check"></i>Autorizar
        </button>
      </div>
      <div class="d-grid gap-2 col-sm-2 mt-2">
        <button type="button" class="btn btn-danger" (click)="isRechazado=true">
          <i class="fas fa-times"></i> Rechazar
        </button>
      </div>
    </div>
  </div>
</div>

<div *ngIf="isRechazado" class="container animate__animated animate__fadeIn">

  <div class="row">
    
    <form [formGroup]="form">
            
      <div class="form-group">
          <label for="observacion"><strong>Observaciones</strong></label>
          <textarea formControlName="observacion" class="form-control" [ngClass]="{ 'is-invalid': submitted && formData.observacion.errors }" rows="2"></textarea>
            <div *ngIf="submitted && formData.observacion.errors" class="invalid-feedback">
                <div *ngIf="formData.observacion.errors.required">Observaciones es requerido</div>
            </div>
      </div>
    
    <div class="form-group row">

      <div class=" d-grid gap-2 col-sm-2 mt-2">
        <button type="button" class="btn btn-success" (click)="rechazar(3)">
          Enviar
        </button>
      </div>

    </div>

    </form>

    <div class="row">
      
      <div class="d-grid gap-2 col-sm-2 mt-2">
        <button type="button" class="btn btn-secondary" (click)="cancelar()" style="color: white;">
           Cancelar
        </button>
      </div>
      
    </div>
    
    

  </div>

  


</div>



